## gtkmm3.0 3.22.0

=== debian/changelog ===
gtkmm3.0 (3.22.0-1) unstable; urgency=medium

  * New upstream release.
  * Update dependencies as per configure.ac:
    - Bump libgtk-3-dev to (>= 3.22.0).
  * Bump SHVER to 3.22.0.
  * Add Build-Depends on dpkg-dev (>= 1.17.14) to ensure we have a version
    which supports the <!nocheck> restriction.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Sep 2016 20:28:19 +0200

gtkmm3.0 (3.21.6-1) unstable; urgency=medium

  * New upstream development release.
  * Update dependencies as per configure.ac:
    - Bump libgtk-3-dev to (>= 3.21.6).
    - Bump libgdk-pixbuf2.0-dev to (>= 2.35.5).
  * Bump SHVER to 3.21.6.
  * Run the testsuite under xvfb-run as the tests need a $DISPLAY.

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Sep 2016 16:03:46 +0200

gtkmm3.0 (3.21.4-1) unstable; urgency=medium

  * New upstream development release.
  * Update dependencies as per configure.ac:
    - Bump libgtk-3-dev to (>= 3.21.4).
    - Bump libglibmm-2.4-dev to (>= 2.49.1).
  * Convert from cdbs to dh.
  * Bump SHVER to 3.21.4.
  * Bump debhelper compat level to 10.

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Sep 2016 03:52:58 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gtkmm3.0
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>
Homepage: http://www.gtkmm.org/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtkmm3.0
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gtkmm3.0
Build-Depends: debhelper (>= 10),
               dpkg-dev (>= 1.17.14),
               gnome-pkg-tools (>= 0.11),
               libgtk-3-dev (>= 3.22.0),
               libglibmm-2.4-dev (>= 2.49.1),
               libcairomm-1.0-dev (>= 1.12.0),
               libpangomm-1.4-dev (>= 2.38.2),
               libatkmm-1.6-dev (>= 2.24.2),
               libgdk-pixbuf2.0-dev (>= 2.35.5),
               mm-common (>= 0.9.10),
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 3.9.8

Package: libgtkmm-3.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgtkmm-3.0-1v5 (= ${binary:Version}),
         libgtk-3-dev (>= 3.22.0),
         libglibmm-2.4-dev (>= 2.49.1),
         libcairomm-1.0-dev (>= 1.12.0),
         libpangomm-1.4-dev (>= 2.38.2),
         libatkmm-1.6-dev (>= 2.24.2),
         libgdk-pixbuf2.0-dev (>= 2.35.5)
Suggests: libgtkmm-3.0-doc
Description: C++ wrappers for GTK+ (development files)
 Gtkmm is a C++ interface for the popular GUI library GTK+, API version 3.0.
 Gtkmm provides a convenient interface for C++ programmers to create
 graphical user interfaces with GTK+'s flexible OO framework. Highlights
 include type safe callbacks, widgets extensible using inheritance and
 over 180 classes that can be freely combined to quickly create complex
 user interfaces.
 .
 This package contains development files and examples, as well as a
 gtkmm-demo program.

Package: libgtkmm-3.0-1v5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libgtkmm-3.0-1
Replaces: libgtkmm-3.0-1
Description: C++ wrappers for GTK+ (shared libraries)
 Gtkmm is a C++ interface for the popular GUI library GTK+, API version 3.0.
 Gtkmm provides a convenient interface for C++ programmers to create
 graphical user interfaces with GTK+'s flexible OO framework. Highlights
 include type safe callbacks, widgets extensible using inheritance and
 over 180 classes that can be freely combined to quickly create complex
 user interfaces.
 .
 This package contains shared libraries.

Package: libgtkmm-3.0-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lynx | www-browser,
         doc-base
Recommends: gtkmm-documentation
Description: C++ wrappers for GTK+ (documentation)
 Gtkmm is a C++ interface for the popular GUI library GTK+, API version 3.0.
 Gtkmm provides a convenient interface for C++ programmers to create
 graphical user interfaces with GTK+'s flexible OO framework. Highlights
 include type safe callbacks, widgets extensible using inheritance and
 over 180 classes that can be freely combined to quickly create complex
 user interfaces.
 .
 This package contains tutorial, FAQ, and reference documentation.

=== debian/watch ===
version=4
https://download.gnome.org/sources/gtkmm/([\d\.]+[02468])/ \
	gtkmm@ANY_VERSION@\.tar\.xz

## gtkmm3.0 3.22.2

=== debian/changelog ===
gtkmm3.0 (3.22.2-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 17 Dec 2017 20:10:20 -0500

gtkmm3.0 (3.22.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Sep 2017 07:37:29 -0400

gtkmm3.0 (3.22.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update debian/watch to only look for stable 3.* series

  [ Michael Biebl ]
  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 02 Jul 2017 01:53:49 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,11 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Homepage: http://www.gtkmm.org/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtkmm3.0
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gtkmm3.0
-Build-Depends: debhelper (>= 10),
-               dpkg-dev (>= 1.17.14),
+Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/gtkmm3.0.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gtkmm3.0.git
+Build-Depends: debhelper (>= 11),
                gnome-pkg-tools (>= 0.11),
                libgtk-3-dev (>= 3.22.0),
                libglibmm-2.4-dev (>= 2.49.1),
@@ -22,7 +21,7 @@
                mm-common (>= 0.9.10),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 
 Package: libgtkmm-3.0-dev
 Section: libdevel
@@ -50,10 +49,8 @@
  gtkmm-demo program.
 
 Package: libgtkmm-3.0-1v5
-Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: libgtkmm-3.0-1

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE := gtkmm

SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libgtkmm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
SHVER := 3.22.0

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_makeshlibs:
	dh_makeshlibs -V"$(SHARED_PKG) (>= $(SHVER))"

override_dh_strip:
	dh_strip --dbgsym-migration='libgtkmm-3.0-dbg (<< 3.20.1-1~)'

# Don't compress doxygen tag files
override_dh_compress:
	dh_compress -X.tag -X.cc -X.ui

override_dh_installexamples:
	$(MAKE) -C demos distclean
	dh_installexamples -XMakefile

override_dh_auto_test:
ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
	xvfb-run $(MAKE) check VERBOSE=1
endif

=== debian/watch ===
version=4
https://download.gnome.org/sources/gtkmm/(3\.2[02468])/ \
	gtkmm@ANY_VERSION@\.tar\.xz

## gtkmm3.0 3.24.0

=== debian/changelog ===
gtkmm3.0 (3.24.0-2) unstable; urgency=medium

  * Bump SHVER to 3.24.0
  * Bump minimum libglibmm-2.4-dev to 2.54.0
  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 28 Dec 2018 09:49:03 -0500

gtkmm3.0 (3.24.0-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Add docs/reference/html to Files-Excluded to build docs from source
    (Closes: #796600)
  * Build-Depend on doxygen, graphviz & xsltproc to build docs
  * libgtkmm-3.0-doc: Don't depend on lynx | www-browser
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 18 Nov 2018 10:10:42 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gtkmm3.0
@@ -7,21 +7,24 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Homepage: http://www.gtkmm.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/gtkmm3.0.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gtkmm3.0.git
 Build-Depends: debhelper (>= 11),
+               doxygen,
                gnome-pkg-tools (>= 0.11),
+               graphviz,
                libgtk-3-dev (>= 3.22.0),
-               libglibmm-2.4-dev (>= 2.49.1),
+               libglibmm-2.4-dev (>= 2.54.0),
                libcairomm-1.0-dev (>= 1.12.0),
                libpangomm-1.4-dev (>= 2.38.2),
                libatkmm-1.6-dev (>= 2.24.2),
                libgdk-pixbuf2.0-dev (>= 2.35.5),
                mm-common (>= 0.9.10),
                xauth <!nocheck>,
+               xsltproc,
                xvfb <!nocheck>
-Standards-Version: 4.1.2
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/gnome-team/gtkmm3.0
+Vcs-Git: https://salsa.debian.org/gnome-team/gtkmm3.0.git
+Homepage: http://www.gtkmm.org/
 
 Package: libgtkmm-3.0-dev
 Section: libdevel
@@ -31,7 +34,7 @@
          ${shlibs:Depends},
          libgtkmm-3.0-1v5 (= ${binary:Version}),
          libgtk-3-dev (>= 3.22.0),
-         libglibmm-2.4-dev (>= 2.49.1),
+         libglibmm-2.4-dev (>= 2.54.0),
          libcairomm-1.0-dev (>= 1.12.0),
          libpangomm-1.4-dev (>= 2.38.2),
          libatkmm-1.6-dev (>= 2.24.2),
@@ -71,7 +74,6 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         lynx | www-browser,
          doc-base
 Recommends: gtkmm-documentation
 Description: C++ wrappers for GTK+ (documentation)

=== debian/rules ===
#!/usr/bin/make -f

SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libgtkmm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
SHVER := 3.24.0

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_makeshlibs:
	dh_makeshlibs -V"$(SHARED_PKG) (>= $(SHVER))"

override_dh_strip:
	dh_strip --dbgsym-migration='libgtkmm-3.0-dbg (<< 3.20.1-1~)'

# Don't compress doxygen tag files
override_dh_compress:
	dh_compress -X.tag -X.cc -X.ui

override_dh_installexamples:
	$(MAKE) -C demos distclean
	dh_installexamples -XMakefile

override_dh_auto_test:
	xvfb-run -a dh_auto_test

## gtkmm3.0 3.24.1

=== debian/changelog ===
gtkmm3.0 (3.24.1-1) unstable; urgency=medium

  [ Simon McVittie ]
  * d/tests/build: Add an autopkgtest that compiles the demo, and
    compiles and runs a small test program
  * Set Rules-Requires-Root to no
  * Use https for Homepage

  [ Helmut Grohne ]
  * Fix FTBFS with DEB_BUILD_PROFILES=nocheck. (Closes: #927049)

  [ Jeremy Bicha ]
  * New upstream release
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * Drop obsolete dh_strip dbgsym migration rule

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Sep 2019 07:57:34 -0400

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gnome,
                doxygen,
-               gnome-pkg-tools (>= 0.11),
                graphviz,
                libgtk-3-dev (>= 3.22.0),
                libglibmm-2.4-dev (>= 2.54.0),
@@ -21,10 +21,11 @@
                xauth <!nocheck>,
                xsltproc,
                xvfb <!nocheck>
+Rules-Requires-Root: no
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gtkmm3.0
 Vcs-Git: https://salsa.debian.org/gnome-team/gtkmm3.0.git
-Homepage: http://www.gtkmm.org/
+Homepage: https://www.gtkmm.org/
 
 Package: libgtkmm-3.0-dev
 Section: libdevel

## gtkmm3.0 3.24.2

=== debian/changelog ===
gtkmm3.0 (3.24.2-2) unstable; urgency=medium

  * Team upload
  * Add patch from upstream to fix an unintended use of C++14
    (Closes: #959602)
  * Preferentially build-depend on libgdk-pixbuf-2.0-dev.
    We don't need the deprecated Xlib integration that is also pulled in
    by the older libgdk-pixbuf2.0-dev package (see #974870).

 -- Simon McVittie <smcv@debian.org>  Sat, 28 Nov 2020 16:18:43 +0000

gtkmm3.0 (3.24.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.4.1

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 26 Oct 2019 09:27:56 -0400

=== debian/control ===
--- 
+++ 
@@ -16,13 +16,13 @@
                libcairomm-1.0-dev (>= 1.12.0),
                libpangomm-1.4-dev (>= 2.38.2),
                libatkmm-1.6-dev (>= 2.24.2),
-               libgdk-pixbuf2.0-dev (>= 2.35.5),
+               libgdk-pixbuf-2.0-dev (>= 2.35.5) | libgdk-pixbuf2.0-dev (>= 2.35.5),
                mm-common (>= 0.9.10),
                xauth <!nocheck>,
                xsltproc,
                xvfb <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/gtkmm3.0
 Vcs-Git: https://salsa.debian.org/gnome-team/gtkmm3.0.git
 Homepage: https://www.gtkmm.org/
@@ -39,7 +39,7 @@
          libcairomm-1.0-dev (>= 1.12.0),
          libpangomm-1.4-dev (>= 2.38.2),
          libatkmm-1.6-dev (>= 2.24.2),
-         libgdk-pixbuf2.0-dev (>= 2.35.5)
+         libgdk-pixbuf-2.0-dev (>= 2.35.5) | libgdk-pixbuf2.0-dev (>= 2.35.5)
 Suggests: libgtkmm-3.0-doc
 Description: C++ wrappers for GTK+ (development files)
  Gtkmm is a C++ interface for the popular GUI library GTK+, API version 3.0.

=== debian/rules ===
--- 
+++ 
@@ -7,16 +7,13 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@ --with gnome
+	dh $@
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V"$(SHARED_PKG) (>= $(SHVER))"
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='libgtkmm-3.0-dbg (<< 3.20.1-1~)'
 
 # Don't compress doxygen tag files
 override_dh_compress:
@@ -27,4 +24,6 @@
 	dh_installexamples -XMakefile
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	xvfb-run -a dh_auto_test
+endif

## gtkmm3.0 3.24.5

=== meson_options.txt ===
option('maintainer-mode', type: 'combo', choices: ['false', 'if-git-build', 'true'],
  value: 'if-git-build', description: 'Generate source code from .hg and .ccg files')
option('warnings', type: 'combo', choices: ['no', 'min', 'max', 'fatal'], value: 'min',
  description: 'Compiler warning level')
option('dist-warnings', type: 'combo', choices: ['no', 'min', 'max', 'fatal'], value: 'fatal',
  description: 'Compiler warning level when a tarball is created')
option('build-deprecated-api', type: 'boolean', value: true,
  description: 'Build deprecated API and include it in the library')
option('build-atkmm-api', type: 'boolean', value: true,
  description: 'Build atkmm API and include it in the library')
option('build-x11-api', type: 'combo', choices: ['false', 'if-enabled-in-gdk', 'true'],
  value: 'if-enabled-in-gdk', description: 'Build X11 API and include it in the library')
option('build-documentation', type: 'combo', choices: ['false', 'if-maintainer-mode', 'true'],
  value: 'if-maintainer-mode', description: 'Build and install the documentation')
option('build-demos', type: 'boolean', value: true, description: 'Build demo programs')
option('build-tests', type: 'boolean', value: true, description: 'Build test programs')
option('msvc14x-parallel-installable', type: 'boolean', value: true,
  description: 'Use separate DLL and LIB filenames for Visual Studio 2015, 2017 and 2019')

=== debian/changelog ===
gtkmm3.0 (3.24.5-1build1) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:57:11 +0100

gtkmm3.0 (3.24.5-1) unstable; urgency=medium

  * New upstream release
  * Drop patch: applied in new release
  * Build with meson
  * debian/control.in: Bump minimum gtk3 to 3.24.0
  * Bump debhelper-compat to 13
  * debian/rules: Rely on dh12's default dh_makeshlibs handling
    instead of trying to update the version number manually

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 23 Aug 2021 20:23:44 -0400

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,17 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                doxygen,
                graphviz,
-               libgtk-3-dev (>= 3.22.0),
+               libgtk-3-dev (>= 3.24.0),
                libglibmm-2.4-dev (>= 2.54.0),
                libcairomm-1.0-dev (>= 1.12.0),
                libpangomm-1.4-dev (>= 2.38.2),
                libatkmm-1.6-dev (>= 2.24.2),
                libgdk-pixbuf-2.0-dev (>= 2.35.5) | libgdk-pixbuf2.0-dev (>= 2.35.5),
+               meson (>= 0.54.0),
                mm-common (>= 0.9.10),
                xauth <!nocheck>,
                xsltproc,

=== debian/rules ===
#!/usr/bin/make -f


export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@ --buildsystem=meson --without autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dbuild-documentation=true \
		-Dwarnings=max

# Don't compress doxygen tag files
override_dh_compress:
	dh_compress -X.tag -X.cc -X.ui

override_dh_auto_test:
	xvfb-run -a dh_auto_test

## gtkmm3.0 3.24.7

=== debian/changelog ===
gtkmm3.0 (3.24.7-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Enable maintainer mode to build docs from source
  * debian/control.in: Build-Depend on libxml-parser-perl
  * Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 12 Sep 2022 10:45:17 -0400

gtkmm3.0 (3.24.6-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Jun 2022 12:27:53 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                doxygen,
@@ -17,13 +17,14 @@
                libpangomm-1.4-dev (>= 2.38.2),
                libatkmm-1.6-dev (>= 2.24.2),
                libgdk-pixbuf-2.0-dev (>= 2.35.5) | libgdk-pixbuf2.0-dev (>= 2.35.5),
+               libxml-parser-perl,
                meson (>= 0.54.0),
                mm-common (>= 0.9.10),
                xauth <!nocheck>,
                xsltproc,
                xvfb <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/gtkmm3.0
 Vcs-Git: https://salsa.debian.org/gnome-team/gtkmm3.0.git
 Homepage: https://www.gtkmm.org/

## gtkmm3.0 3.24.8

=== debian/changelog ===
gtkmm3.0 (3.24.8-2) unstable; urgency=medium

  * Cherry-pick 3 commits to fix GdkRGBA test on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Aug 2023 16:36:55 -0400

gtkmm3.0 (3.24.8-1) unstable; urgency=medium

  * New upstream release
  * debian/libgtkmm-3.0-1v5.docs: AUTHORS is no longer provided, README -> .md

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 08 Aug 2023 13:50:34 -0400

## gtkmm3.0 3.24.9

=== debian/changelog ===
gtkmm3.0 (3.24.9-1deepin1) unstable; urgency=medium

  * revert t64

 -- lhdjply <lhdjply@126.com>  Thu, 20 Feb 2025 13:30:24 +0800

gtkmm3.0 (3.24.9-1) unstable; urgency=medium

  * New upstream release
  * Update lintian override
  * Drop obsolete alternate gdk-pixbuf dependency
  * Drop remaining patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 11:33:24 -0400

gtkmm3.0 (3.24.8-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build depedency on dpkg-dev to use >= not >> (sorry).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 05 Mar 2024 10:53:03 +1300

gtkmm3.0 (3.24.8-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add build depedency on dpkg-dev (>= 1.22.5) for time_t transition.
    (Closes: #1065278)

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Mon, 04 Mar 2024 23:41:24 +1300

gtkmm3.0 (3.24.8-3) unstable; urgency=medium

  * Use upstream patch to fix GdkRGBA test on i386
  * Stop using debian/control.in and dh-sequence-gnome
  * Update standards version to 4.6.2, no changes needed
  * Upload to unstable (Closes: #1062193)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Feb 2024 15:04:43 -0500

gtkmm3.0 (3.24.8-2.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Graham Inggs <ginggs@debian.org>  Wed, 31 Jan 2024 16:23:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,10 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gtkmm3.0
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-gnome,
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
+Build-Depends: dpkg-dev (>= 1.22.5),
+               debhelper-compat (= 13),
                doxygen,
                graphviz,
                libgtk-3-dev (>= 3.24.0),
@@ -16,7 +12,7 @@
                libcairomm-1.0-dev (>= 1.12.0),
                libpangomm-1.4-dev (>= 2.38.2),
                libatkmm-1.6-dev (>= 2.24.2),
-               libgdk-pixbuf-2.0-dev (>= 2.35.5) | libgdk-pixbuf2.0-dev (>= 2.35.5),
+               libgdk-pixbuf-2.0-dev (>= 2.35.5),
                libxml-parser-perl,
                meson (>= 0.54.0),
                mm-common (>= 0.9.10),
@@ -24,7 +20,7 @@
                xsltproc,
                xvfb <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gtkmm3.0
 Vcs-Git: https://salsa.debian.org/gnome-team/gtkmm3.0.git
 Homepage: https://www.gtkmm.org/
@@ -41,7 +37,7 @@
          libcairomm-1.0-dev (>= 1.12.0),
          libpangomm-1.4-dev (>= 2.38.2),
          libatkmm-1.6-dev (>= 2.24.2),
-         libgdk-pixbuf-2.0-dev (>= 2.35.5) | libgdk-pixbuf2.0-dev (>= 2.35.5)
+         libgdk-pixbuf-2.0-dev (>= 2.35.5)
 Suggests: libgtkmm-3.0-doc
 Description: C++ wrappers for GTK+ (development files)
  Gtkmm is a C++ interface for the popular GUI library GTK+, API version 3.0.

## gtkmm3.0 3.24.10

=== debian/changelog ===
gtkmm3.0 (3.24.10-2) unstable; urgency=medium

  * Remove ancient Conflicts/Replaces
  * Remove unnecessary Depends: doc-base
  * Remove Recommends: gtkmm-documentation (it's for gtk4)
  * Support the nodoc build profile
  * Update Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 13 Feb 2026 15:05:44 -0500

gtkmm3.0 (3.24.10-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete Lintian override
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 24 Mar 2025 08:16:46 -0400

=== debian/control ===
Source: gtkmm3.0
Standards-Version: 4.7.3
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Section: libs
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.22.5),
               libatkmm-1.6-dev,
               libcairomm-1.0-dev,
               libgdk-pixbuf-2.0-dev,
               libglibmm-2.4-dev,
               libgtk-3-dev,
               libpangomm-1.4-dev,
               libxml-parser-perl,
               meson,
               mm-common,
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: doxygen <!nodoc>,
                     graphviz <!nodoc>,
                     xsltproc <!nodoc>
Vcs-Browser: https://salsa.debian.org/gnome-team/gtkmm3.0
Vcs-Git: https://salsa.debian.org/gnome-team/gtkmm3.0.git
Homepage: https://www.gtkmm.org/

Package: libgtkmm-3.0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libatkmm-1.6-dev,
         libcairomm-1.0-dev,
         libgdk-pixbuf-2.0-dev,
         libglibmm-2.4-dev,
         libgtk-3-dev,
         libgtkmm-3.0-1t64 (= ${binary:Version}),
         libpangomm-1.4-dev,
         ${misc:Depends}
Suggests: libgtkmm-3.0-doc
Description: C++ wrappers for GTK+ (development files)
 Gtkmm is a C++ interface for the popular GUI library GTK+, API version 3.0.
 Gtkmm provides a convenient interface for C++ programmers to create
 graphical user interfaces with GTK+'s flexible OO framework. Highlights
 include type safe callbacks, widgets extensible using inheritance and
 over 180 classes that can be freely combined to quickly create complex
 user interfaces.
 .
 This package contains development files and examples, as well as a
 gtkmm-demo program.

Package: libgtkmm-3.0-1t64
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: libgtkmm-3.0-1v5 (<< ${source:Version})
Replaces: libgtkmm-3.0-1v5
Provides: ${t64:Provides}
X-Time64-Compat: libgtkmm-3.0-1v5
Description: C++ wrappers for GTK+ (shared libraries)
 Gtkmm is a C++ interface for the popular GUI library GTK+, API version 3.0.
 Gtkmm provides a convenient interface for C++ programmers to create
 graphical user interfaces with GTK+'s flexible OO framework. Highlights
 include type safe callbacks, widgets extensible using inheritance and
 over 180 classes that can be freely combined to quickly create complex
 user interfaces.
 .
 This package contains shared libraries.

Package: libgtkmm-3.0-doc
Architecture: all
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: C++ wrappers for GTK+ (documentation)
 Gtkmm is a C++ interface for the popular GUI library GTK+, API version 3.0.
 Gtkmm provides a convenient interface for C++ programmers to create
 graphical user interfaces with GTK+'s flexible OO framework. Highlights
 include type safe callbacks, widgets extensible using inheritance and
 over 180 classes that can be freely combined to quickly create complex
 user interfaces.
 .
 This package contains tutorial, FAQ, and reference documentation.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,8 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Dbuild-documentation=true \
+		-Dbuild-documentation=$(if $(filter %-doc,$(shell dh_listpackages)),true,false) \
+		-Dmaintainer-mode=true \
 		-Dwarnings=max
 
 # Don't compress doxygen tag files
